BEGIN {
    while (getline x <"omit.txt" > 0) omit[x] = 1;
    while (getline <"CLASSES" > 0) {
	if ($1 = "class") {
            class[$2] = $2
            if (NF > 2) class[$4] = $4
        }
    }
}

{
    if (class[$1] &&
	!($2 in omit) &&
	!match($2, "!") &&
	!match($2, "ROUT") &&
	!match($2, "ITER")) print $2
}
